Next: Stab Types, Previous: Symbol Tables, Up: Top

## 8 GNU C`++` Stabs

- Class Names: C++ class names are both tags and typedefs.
- Nested Symbols: C++ symbol names can be within other types.
- Basic Cplusplus Types
- Simple Classes
- Class Instance
- Methods: Method definition
- Method Type Descriptor: The ``#`' type descriptor
- Member Type Descriptor: The ``@`' type descriptor
- Protections
- Method Modifiers
- Virtual Methods
- Inheritance
- Virtual Base Classes
- Static Members